В облачном сервисе Amazon найдена уязвимость, облегчающая DDoS-атаки

Хакеры эксплуатируют уязвимость в старых версиях софта Elasticsearch, чтобы распространять вирусы для DDoS-атак через веб-сервис Amazon Elastic Compute Cloud. Брешь в скором времени закроют, устранив неполадки.

Ppen-source движок Elasticsearch используется для поиска и анализа документов и различных данных. Преимущество данного ПО в масштабируемости запросов и поиске файлов в реальном времени. Ошибка CVE-2014-3120 в скриптовой способности софта может быть использована для удаленного выполнения кода на сервере. Администраторам, которые не могут обновить софт, советуется по возможности отключить данную функцию.

Хакеры полагаются на модифицированные версии кода для своих целей, потому что уязвимые версии Elasticsearch до сих пор используются в работе Amazon Elastic Compute Cloud. Как установили в «Лаборатории Касперского», измененный код используется для отправки варианта вируса Backdoor.Linux.Mayday.g DDoS на облако Amazon. Несмотря на возможности по DNS усилению, Mayday отправляет на сайты только UDP трафик.

UDP-атаку можно начать, отсылая пакеты на разные порты жертвы. Если поток информации слишком большой, ресурс становится недоступным другим посетителям. Нападения посредством DNS усиления более мощные, потому что объем отправляемых пакетов намного больше изначального запроса.

Подпишитесь
в Facebook

Я уже с вами